View Issue Details

IDProjectCategoryView StatusLast Update
0000217Adventure PHP FrameworkCode-Verbesserung // Code improvementpublic2015-10-12 12:19
ReporterChristianAchatzAssigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.1 
Target Version3.0Fixed in Version3.0 
Summary0000217: Put file-based license block to top to better support PHPStorm's code formatting features
DescriptionPlacing the license header after the "namespace" keyword confuses the code formatter in case there are no "use" statements.

For this reason, the license block should be the first content after "<?php" + LF right at the beginning of the file.
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacenone

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2014-06-28 10:45 ChristianAchatz New Issue
2014-06-28 10:45 ChristianAchatz Status new => assigned
2014-06-28 10:45 ChristianAchatz Assigned To => ChristianAchatz
2014-07-02 19:38 ChristianAchatz Status assigned => resolved
2014-07-02 19:38 ChristianAchatz Fixed in Version => 3.0
2014-07-02 19:38 ChristianAchatz Resolution open => fixed
2015-10-12 12:19 ChristianAchatz Status resolved => closed